searchNodes=[{"ref":"RedixCluster.html","title":"RedixCluster","module":"RedixCluster","type":"module","doc":"This module provides the main API to interface with Redis Cluster by Redix. Overview Module.FuncDescription RedixCluster.start/2start redixcluster application RedixCluster.command/2RedixCluster.command(~w(SET mykey foo)) RedixCluster.pipeline/2RedixCluster.pipeline([~w(SET mykey foo)]) RedixCluster.transaction/2RedixCluster.transaction([~w(SET mykey foo)]) Require Make Sure CROSSSLOT Keys in request hash to the same slot Examples `Same hash keys` iex&gt; ~w(mget {user}123 {user}234 {user}456) `Diff hash keys` iex&gt; ~w(mget {user1}123 {user2}234 {user3}456) [&quot;mget&quot;, &quot;{user1}123&quot;, &quot;{user2}234&quot;, &quot;{user3}456&quot;] Make sure all char is {} is the same"},{"ref":"RedixCluster.html#command/2","title":"RedixCluster.command/2","module":"RedixCluster","type":"function","doc":"Make sure CROSSSLOT Keys in request hash to the same slot This function works exactly like Redix.command/3 Examples iex&gt; RedixCluster.command(~w(SET mykey foo)) {:ok, &quot;OK&quot;} iex&gt; RedixCluster.command(~w(GET mykey)) {:ok, &quot;foo&quot;} iex&gt; RedixCluster.command(~w(INCR mykey zhongwen)) {:error, %Redix.Error{message: &quot;ERR wrong number of arguments for &#39;incr&#39; command&quot;}} iex&gt; RedixCluster.command(~w(mget ym d )) {:error, %Redix.Error{message: &quot;CROSSSLOT Keys in request don&#39;t hash to the same slot&quot;}} iex&gt; RedixCluster.command(~w(mset {keysamehash}ym 1 {keysamehash}d 2 )) {:ok, &quot;OK&quot;} iex&gt; RedixCluster.command(~w(mget {keysamehash}ym {keysamehash}d )) {:ok, [&quot;1&quot;, &quot;2&quot;]}"},{"ref":"RedixCluster.html#command!/2","title":"RedixCluster.command!/2","module":"RedixCluster","type":"function","doc":"This function works exactly like RedixCluster.command/2 but: the error will be raised ## Examples iex&gt; RedixCluster.command!(~w(SET mykey foo)) &quot;OK&quot; iex&gt; RedixCluster.command!(~w(INCR mykey)) ** (Redix.Error) ERR value is not an integer or out of range (redix_cluster) lib/redix_cluster.ex:40: RedixCluster.command!/2"},{"ref":"RedixCluster.html#config_change/3","title":"RedixCluster.config_change/3","module":"RedixCluster","type":"function","doc":"Callback invoked after code upgrade, if the application environment has changed. changed is a keyword list of keys and their changed values in the application environment. new is a keyword list with all new keys and their values. removed is a list with all removed keys. Callback implementation for Application.config_change/3."},{"ref":"RedixCluster.html#flushdb/0","title":"RedixCluster.flushdb/0","module":"RedixCluster","type":"function","doc":""},{"ref":"RedixCluster.html#pipeline/2","title":"RedixCluster.pipeline/2","module":"RedixCluster","type":"function","doc":"Make sure CROSSSLOT Keys in request hash to the same slot This function works exactly like Redix.pipeline/3 Examples iex&gt; RedixCluster.pipeline([~w(INCR mykey), ~w(INCR mykey), ~w(DECR mykey)]) {:ok, [1, 2, 1]} iex&gt; RedixCluster.pipeline([~w(SET {samehash}k3 foo), ~w(INCR {samehash}k2), ~w(GET {samehash}k1)]) {:ok, [&quot;OK&quot;, 1, nil]} iex&gt; RedixCluster.pipeline([~w(SET {diffhash3}k3 foo), ~w(INCR {diffhash2}k2), ~w(GET {diffhash1}k1)]) {:error, :key_must_same_slot}"},{"ref":"RedixCluster.html#pipeline!/2","title":"RedixCluster.pipeline!/2","module":"RedixCluster","type":"function","doc":"Make sure CROSSSLOT Keys in request hash to the same slot This function works exactly like RedixCluster.pipeline/2 but the error will be raised Examples iex&gt; RedixCluster.pipeline!([~w(INCR mykey), ~w(INCR mykey), ~w(DECR mykey)]) {:ok, [1, 2, 1]} iex&gt; RedixCluster.pipeline!([~w(SET {samehash}k3 foo), ~w(INCR {samehash}k2), ~w(GET {samehash}k1)]) {:ok, [&quot;OK&quot;, 1, nil]} iex&gt; RedixCluster.pipeline!([~w(SET {diffhash3}k3 foo), ~w(INCR {diffhash2}k2), ~w(GET {diffhash1}k1)]) ** (RedixCluster.Error) CROSSSLOT Keys in request don&#39;t hash to the same slot (redix_cluster) lib/redix_cluster.ex:215: RedixCluster.parse_error/1"},{"ref":"RedixCluster.html#start/2","title":"RedixCluster.start/2","module":"RedixCluster","type":"function","doc":"Starts RedixCluster Application by config.exs"},{"ref":"RedixCluster.html#transaction/2","title":"RedixCluster.transaction/2","module":"RedixCluster","type":"function","doc":"Make sure CROSSSLOT Keys in request hash to the same slot Examples iex&gt; RedixCluster.transaction([~w(set mykey 1), ~w(INCR mykey), ~w(INCR mykey), ~w(DECR mykey)]) {:ok, [&quot;OK&quot;, &quot;QUEUED&quot;, &quot;QUEUED&quot;, &quot;QUEUED&quot;, &quot;QUEUED&quot;, [&quot;OK&quot;, 2, 3, 2]]} iex&gt; RedixCluster.transaction([~w(SET {samehash}k3 foo), ~w(INCR {samehash}k2), ~w(GET {samehash}k1)]) {:ok, [&quot;OK&quot;, &quot;QUEUED&quot;, &quot;QUEUED&quot;, &quot;QUEUED&quot;, [&quot;OK&quot;, 2, nil]]}"},{"ref":"RedixCluster.html#transaction!/2","title":"RedixCluster.transaction!/2","module":"RedixCluster","type":"function","doc":"Make sure CROSSSLOT Keys in request hash to the same slot Examples iex&gt; RedixCluster.transaction!([~w(set mykey 1), ~w(INCR mykey), ~w(INCR mykey), ~w(DECR mykey)]) {:ok, [&quot;OK&quot;, &quot;QUEUED&quot;, &quot;QUEUED&quot;, &quot;QUEUED&quot;, &quot;QUEUED&quot;, [&quot;OK&quot;, 2, 3, 2]]} iex&gt; RedixCluster.transaction!([~w(SET {samehash}k3 foo), ~w(INCR {samehash}k2), ~w(GET {samehash}k1)]) {:ok, [&quot;OK&quot;, &quot;QUEUED&quot;, &quot;QUEUED&quot;, &quot;QUEUED&quot;, [&quot;OK&quot;, 2, nil]]} iex&gt; RedixCluster.transaction!([~w(SET {diffhash3}k3 foo), ~w(INCR {diffhash2}k2), ~w(GET {diffhash1}k1)]) ** (RedixCluster.Error) CROSSSLOT Keys in request don&#39;t hash to the same slot (redix_cluster) lib/redix_cluster.ex:215: RedixCluster.parse_error/1"},{"ref":"RedixCluster.html#t:command/0","title":"RedixCluster.command/0","module":"RedixCluster","type":"type","doc":""},{"ref":"RedixCluster.Error.html","title":"RedixCluster.Error","module":"RedixCluster.Error","type":"exception","doc":"Error returned by RedisCluster."},{"ref":"RedixCluster.Error.html#t:t/0","title":"RedixCluster.Error.t/0","module":"RedixCluster.Error","type":"type","doc":""},{"ref":"RedixCluster.Monitor.State.html","title":"RedixCluster.Monitor.State","module":"RedixCluster.Monitor.State","type":"module","doc":""},{"ref":"RedixCluster.Worker.html","title":"RedixCluster.Worker","module":"RedixCluster.Worker","type":"module","doc":"role: poolboy worker"},{"ref":"RedixCluster.Worker.html#child_spec/1","title":"RedixCluster.Worker.child_spec/1","module":"RedixCluster.Worker","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"RedixCluster.Worker.html#get_env/2","title":"RedixCluster.Worker.get_env/2","module":"RedixCluster.Worker","type":"function","doc":""},{"ref":"RedixCluster.Worker.html#init/1","title":"RedixCluster.Worker.init/1","module":"RedixCluster.Worker","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"RedixCluster.Worker.html#start_link/1","title":"RedixCluster.Worker.start_link/1","module":"RedixCluster.Worker","type":"function","doc":""}]